com.verisign.epp.codec.launch

## Class EPPLaunchPhase

- java.lang.Object
- - com.verisign.epp.codec.launch.EPPLaunchPhase

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPLaunchPhase
      extends java.lang.Object
      implements EPPCodecComponent

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ATTR_NAME` OPTIONAL attribute name that can define a sub-phase or the full name of the phase when the <launch:phase> element has the "custom" value.
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the phase local name
    `static java.lang.String` | `ELM_NAME` Constant for the phase qualified name (prefix and local name)
    `static java.lang.String` | `PHASE_CLAIMS` Trademark claims phase 1 as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
    `static java.lang.String` | `PHASE_CUSTOM` Post launch phase that is also referred to as "steady state".
    `static java.lang.String` | `PHASE_LANDRUSH` Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
    `static java.lang.String` | `PHASE_OPEN` Post launch phase that is also referred to as "steady state".
    `static java.lang.String` | `PHASE_SUNRISE` Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchPhase()` Default constructor.
    `EPPLaunchPhase(java.lang.String aPhase)` Create `EPPLaunchPhase` instance with a defined phase value.
    `EPPLaunchPhase(java.lang.String aPhase, java.lang.String aName)` Create `EPPLaunchPhase` instance with a defined phase value and with the phase name value.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPLaunchPhase`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPLaunchPhase` element aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPLaunchPhase` instance.
    `boolean` | `equals(java.lang.Object aObject)` implements a deep `EPPLaunchPhase` compare.
    `java.lang.String` | `getName()` Gets the OPTIONAL phase name or sub-phase name.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getPhase()` Gets the phase value, which should match one of the `PHASE` constants.
    `void` | `setName(java.lang.String aName)` Sets the OPTIONAL phase name or sub-phase name.
    `void` | `setPhase(java.lang.String aPhase)` Sets the phase value.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PHASE_SUNRISE

          public static final java.lang.String PHASE_SUNRISE

      Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.
      See Also:
        Constant Field Values

    - #### PHASE_LANDRUSH

          public static final java.lang.String PHASE_LANDRUSH

      Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
      See Also:
        Constant Field Values

    - #### PHASE_CLAIMS

          public static final java.lang.String PHASE_CLAIMS

      Trademark claims phase 1 as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
      See Also:
        Constant Field Values

    - #### PHASE_OPEN

          public static final java.lang.String PHASE_OPEN

      Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
      See Also:
        Constant Field Values

    - #### PHASE_CUSTOM

          public static final java.lang.String PHASE_CUSTOM

      Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
      See Also:
        Constant Field Values

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the phase local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the phase qualified name (prefix and local name)
      See Also:
        Constant Field Values

    - #### ATTR_NAME

          public static final java.lang.String ATTR_NAME

      OPTIONAL attribute name that can define a sub-phase or the full name of the phase when the <launch:phase> element has the "custom" value.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPLaunchPhase

          public EPPLaunchPhase()

      Default constructor. The phase value MUST be set using the `setPhase(String)` method.

    - #### EPPLaunchPhase

          public EPPLaunchPhase(java.lang.String aPhase)

      Create `EPPLaunchPhase` instance with a defined phase value.
      Parameters:
        `aPhase` - Phase value using one of the `PHASE` constants.

    - #### EPPLaunchPhase

          public EPPLaunchPhase(java.lang.String aPhase,
                                java.lang.String aName)

      Create `EPPLaunchPhase` instance with a defined phase value and with the phase name value.
      Parameters:
        `aPhase` - Phase value using one of the `PHASE` constants.
        `aName` - Name of sub-phase or full name of phase when `aPhase` is set to `PHASE_CUSTOM`.

  - ### Method Detail

    - #### getPhase

          public java.lang.String getPhase()

      Gets the phase value, which should match one of the `PHASE` constants.
      Returns:
        Phase value

    - #### setPhase

          public void setPhase(java.lang.String aPhase)

      Sets the phase value.
      Parameters:
        `aPhase` - Phase value, which should be one of the `PHASE` constants.

    - #### getName

          public java.lang.String getName()

      Gets the OPTIONAL phase name or sub-phase name.
      Returns:
        The phase name or sub-phase name if defined; null otherwise.

    - #### setName

          public void setName(java.lang.String aName)

      Sets the OPTIONAL phase name or sub-phase name.
      Parameters:
        `aName` - Phase name

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPLaunchPhase`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPLaunchPhase`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPLaunchPhase` element aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - - Root DOM Element to decode `EPPLaunchPhase` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPLaunchPhase` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element - Root DOM Element representing the `EPPLaunchPhase` instance.
      Throws:
        `EPPEncodeException` - - Unable to encode `EPPLaunchPhase` instance.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      implements a deep `EPPLaunchPhase` compare.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - `EPPLaunchPhase` instance to compare with
      Returns:
        `true` if equal; `false` otherwise

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.